Package org.apache.commons.math3.ode

# Class FieldODEState<T extends RealFieldElement<T>>

java.lang.Object
org.apache.commons.math3.ode.FieldODEState<T>

Type Parameters:
  `T` - the type of the field elements

Direct Known Subclasses:
  `FieldODEStateAndDerivative`

public class FieldODEState<T extends RealFieldElement<T>> extends Object
Container for time, main and secondary state vectors.

Since:
  3.6
See Also:
  - `FirstOrderFieldDifferentialEquations`
  - `FieldSecondaryEquations`
  - `FirstOrderFieldIntegrator`
  - `FieldODEStateAndDerivative`

## Constructor Summary

Constructors
Constructor
Description
`FieldODEState(T time, T[] state)`
Simple constructor.
`FieldODEState(T time, T[] state, T[][] secondaryState)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`protected T[][]`
`copy(Field<T> field, T[][] original)`
Copy a two-dimensions array.
`int`
`getNumberOfSecondaryStates()`
Get the number of secondary states.
`T[]`
`getSecondaryState(int index)`
Get secondary state at time.
`int`
`getSecondaryStateDimension(int index)`
Get secondary state dimension.
`T[]`
`getState()`
Get main state at time.
`int`
`getStateDimension()`
Get main state dimension.
`T`
`getTime()`
Get time.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FieldODEState

public FieldODEState(T time, T[] state)
Simple constructor.

Calling this constructor is equivalent to call `FieldODEState(time, state, null)`.

Parameters:
  `time` - time
  `state` - state at time

### FieldODEState

public FieldODEState(T time, T[] state, T[][] secondaryState)
Simple constructor.

Parameters:
  `time` - time
  `state` - state at time
  `secondaryState` - state at time (may be null)

## Method Details

### copy

protected T[][] copy(Field<T> field, T[][] original)
Copy a two-dimensions array.

Parameters:
  `field` - field to which elements belong
  `original` - original array (may be null)
Returns:
  copied array or null if original array was null

### getTime

public T getTime()
Get time.

Returns:
  time

### getStateDimension

public int getStateDimension()
Get main state dimension.

Returns:
  main state dimension

### getState

public T[] getState()
Get main state at time.

Returns:
  main state at time

### getNumberOfSecondaryStates

public int getNumberOfSecondaryStates()
Get the number of secondary states.

Returns:
  number of secondary states.

### getSecondaryStateDimension

public int getSecondaryStateDimension(int index)
Get secondary state dimension.

Parameters:
  `index` - index of the secondary set as returned by `FieldExpandableODE.addSecondaryEquations(FieldSecondaryEquations)` (beware index 0 corresponds to main state, additional states start at 1)
Returns:
  secondary state dimension

### getSecondaryState

public T[] getSecondaryState(int index)
Get secondary state at time.

Parameters:
  `index` - index of the secondary set as returned by `FieldExpandableODE.addSecondaryEquations(FieldSecondaryEquations)` (beware index 0 corresponds to main state, additional states start at 1)
Returns:
  secondary state at time